Skip to main content
GET
/
api
/
Fba
/
FbaInstruction
/
list
List FBA instructions with pagination
curl --request GET \
  --url https://api.returnshelper.com/uat/user/api/Fba/FbaInstruction/list \
  --header 'x-rr-apikey: <api-key>' \
  --header 'x-rr-apitoken: <api-key>'
{
  "data": [
    {
      "fbaInstructionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "fbaInstructionHandlingCode": "<string>",
      "handlingStatusCode": "<string>",
      "quantity": 123,
      "fbaInstructionNumber": "<string>",
      "warehouseId": 123,
      "cancelRemarks": "<string>",
      "createOn": "2023-11-07T05:31:56Z"
    }
  ],
  "totalNumberOfRecords": 123
}
Returns a paginated list of your FBA instructions. Use this to display an FBA instruction queue or to reconcile state with your own records.

Authorizations

x-rr-apikey
string
header
required

Your API key

x-rr-apitoken
string
header
required

Your API token — keep this private

Query Parameters

pageSize
integer
required

Number of records per page (1–50)

Required range: 1 <= x <= 50
offset
integer
required
createFrom
string<date-time>
required
createTo
string<date-time>
required

Response

Success

data
object[]

List of FBA instructions

totalNumberOfRecords
integer<int32>

Total count of FBA instructions